Compare commits

15 Commits

Author SHA1 Message Date
fabian 8a26bd37d2 avoid ConcurrentModificationException-esque error by saving directory names beforehand 2026-02-01 17:10:43 +01:00
fabian 73f5fe2e45 fixed commandExists 2025-11-20 21:28:53 +01:00
fabian 96ced8ff18 script for editing audible audio books post decrypt 2025-11-19 21:02:35 +01:00
fabian edf7f1a1d1 - improved map, vbr flags 2025-11-19 21:02:03 +01:00
fabian 57644311b3 pass down arguments 2025-11-19 21:00:59 +01:00
fabian 85bae25c2f added escape replacement 2025-11-19 21:00:35 +01:00
fabian a120d54b30 updated backup scripts 2025-11-19 20:59:53 +01:00
fabian 916faa68fd dont quit the tty upon failure 2025-11-19 20:59:08 +01:00
fabian c2bd45267a Revert "- removed debug ouptut"
This reverts commit 4c09537776.
2025-11-19 20:57:16 +01:00
fabian 4c09537776 - removed debug ouptut
- only execute certain code when the accompanying command exists
2025-11-19 20:54:18 +01:00
fabian d5ff6f3332 Merge branch 'master' of ssh://git.szimnau.de:222/fabian/sync 2025-11-19 20:45:03 +01:00
fabian 1622b1bd52 removed redundant file 2025-11-19 20:44:12 +01:00
SZIMNAU c794518817 - added helper method to look up wether a command exists
- avoid calling flatpak or notify-send if not installed
2025-11-05 14:06:40 +01:00
fszimnau 48bda2be2d additions from msys64 2025-10-16 13:04:36 +02:00
fabianArbeit 17528d5f51 modified config to not be work specific 2025-08-14 11:48:41 +02:00
13 changed files with 58 additions and 19 deletions
+20 -4
View File
@@ -40,6 +40,11 @@ alias dirsizes='du -kh --apparent-size --max-depth=1 | sort -hr'
alias start_x11_vnc="x11vnc -many -display :0 -no6 -rfbport 5900 -auth /var/run/lightdm/root/:0 -rfbauth $HOME/.vnc/passwd" alias start_x11_vnc="x11vnc -many -display :0 -no6 -rfbport 5900 -auth /var/run/lightdm/root/:0 -rfbauth $HOME/.vnc/passwd"
commandExists() {
type $1 2>&1 > /dev/null
}
rsyncLink() { rsyncLink() {
source=$1; source=$1;
linkSource="$(realpath $source)"; linkSource="$(realpath $source)";
@@ -52,7 +57,7 @@ rsyncLink() {
updateSystem() { updateSystem() {
executeAndNotify "doUpdateSystem $1" "system updated" "system update failed" executeAndNotify "doUpdateSystem $1" "system updated" "system update failed"
} }
@@ -63,6 +68,9 @@ doUpdateSystem() {
updateFlatpak() { updateFlatpak() {
if ! $(commandExists flatpak); then
return 1;
fi
noconfirm= noconfirm=
if [[ $1 == "-y" ]]; then if [[ $1 == "-y" ]]; then
noconfirm="--assumeyes"; noconfirm="--assumeyes";
@@ -80,7 +88,7 @@ doUpdateFlatpak() {
# executes command and notifies upon failure # executes command and notifies upon failure
execute() { execute() {
dir="$(pwd)"; dir="$(pwd)";
dir=${dir##*/}; dir=${dir##*/}; # cut off previous path (/path/to/foo.txt -> foo.txt)
if [[ -n "$2" ]]; then if [[ -n "$2" ]]; then
errLog=$2; errLog=$2;
else else
@@ -119,11 +127,19 @@ finds () {
# sends a desktop-notification with an icon signalling an error # sends a desktop-notification with an icon signalling an error
notifyError () { notifyError () {
notify-send "$1" --icon=data-warning; if ! $(commandExists notify-send); then
echo "ERROR: $1";
else
notify-send "$1" --icon=data-warning;
fi
} }
# sends a desktop-notification with an icon signalling a simple information # sends a desktop-notification with an icon signalling a simple information
notifyInfo () { notifyInfo () {
notify-send "$1" --icon=preferences-desktop-notification; if ! $(commandExists notify-send); then
echo "INFO: $1";
else
notify-send "$1" --icon=preferences-desktop-notification;
fi
} }
+1
View File
@@ -2,4 +2,5 @@
# ~/.bash_profile # ~/.bash_profile
# #
[[ -f ~/.profile ]] && . ~/.profile
[[ -f ~/.bashrc ]] && . ~/.bashrc [[ -f ~/.bashrc ]] && . ~/.bashrc
+1 -1
View File
@@ -2,7 +2,7 @@
# see /usr/share/doc/bash/examples/startup-files (in the package bash-doc) # see /usr/share/doc/bash/examples/startup-files (in the package bash-doc)
# for examples # for examples
set -o pipefail # set -o pipefail
# set -u # set -u
# If not running interactively, don't do anything # If not running interactively, don't do anything
+2
View File
@@ -0,0 +1,2 @@
.crlf off
.mode box
@@ -15,7 +15,10 @@ config.font = wezterm.font 'Fira Code'
config.font_size = 12.0 -- also the default config.font_size = 12.0 -- also the default
-- Spawn a git bash shell -- Spawn a git bash shell
config.default_prog = { 'C:/Program Files/Git/bin/bash.exe' , '--cd-to-home' } -- config.default_prog = { 'C:/Program Files/Git/bin/bash.exe' , '--cd-to-home' }
-- config.default_prog = { 'C:/theo_dev/bin/msys64/usr/bin/bash.exe' }
-- config.default_prog = { 'C:/theo_dev/bin/msys64/msys2_shell.cmd', '-defterm', '-where', 'G:\\', '-no-start', '-ucrt64', '-use-full-path' }
config.default_prog = { 'C:/theo_dev/bin/msys64/msys2_shell.cmd', '-defterm', '-no-start', '-ucrt64', '-use-full-path' }
-- cursor shape and behaviour -- cursor shape and behaviour
config.default_cursor_style = 'BlinkingBar' config.default_cursor_style = 'BlinkingBar'
@@ -42,10 +45,8 @@ wezterm.on('gui-startup', function(cmd)
direction = 'Bottom', direction = 'Bottom',
size = 0.06, size = 0.06,
} }
-- go to JavaUtils-Directory and prepare command -- prepare command (\n possible to send command)
loading_bar_pane:send_text 'cd JavaUtils/zeitlaeufer/target\njava de.szimnau.WorkLoadingBar' loading_bar_pane:send_text '. /g/zeitlaeufer/runProject.sh de.szimnau.zeitlaeufer.WorkLoadingBar'
-- optionally: clear before preparing command
-- loading_bar_pane:send_text 'cd JavaUtils\nc\njava LoadingBar'
end) end)
config.keys = { config.keys = {
+2 -2
View File
@@ -32,10 +32,10 @@ backupRootDirectory /etc/docker/daemon.json $BACKUP_DIR_ROOT/docker/
### upload backup ### ### upload backup ###
##################### #####################
if [[ "$1" == "--noupload" ]]; then if [[ $# > 0 && "$1" == "--noupload" ]]; then
exit 0; exit 0;
fi fi
sd rsync_backup -e "ssh -i /home/edi/.ssh/id_ed25519" --filter="P /home/docker" /sync/backup/ fabian@garrus:/citadel/backup/edi/ sd rsync_backup -e "ssh -i /home/edi/.ssh/id_ed25519" /sync/backup/ fabian@garrus:/citadel/backup/edi/
sd rsync_backup -e "ssh -i /home/edi/.ssh/id_ed25519" /home/edi/docker/ fabian@garrus:/citadel/backup/edi/home/docker/ sd rsync_backup -e "ssh -i /home/edi/.ssh/id_ed25519" /home/edi/docker/ fabian@garrus:/citadel/backup/edi/home/docker/
echo "Note: remember to keep /citadel in sync!" echo "Note: remember to keep /citadel in sync!"
+1 -1
View File
@@ -20,7 +20,7 @@ backupDirectory $HOME/.ssh/ $BACKUP_DIR_HOME/.ssh/
### upload backup ### ### upload backup ###
##################### #####################
if [[ "$1" == "--noupload" ]]; then if [[ $# > 0 && "$1" == "--noupload" ]]; then
exit 0; exit 0;
fi fi
+1 -1
View File
@@ -4,4 +4,4 @@ set -euo pipefail
source /sync/scripts/dockerContainerAction.sh source /sync/scripts/dockerContainerAction.sh
# FIXME!!! implement possibility to pass down directory # FIXME!!! implement possibility to pass down directory
upDownContainers down upDownContainers down $@
+1
View File
@@ -13,6 +13,7 @@ replacements['(']='_';
replacements[')']='_'; replacements[')']='_';
replacements['[']='_'; replacements['[']='_';
replacements[']']='_'; replacements[']']='_';
replacements[',']='_';
while [[ $# > 0 ]]; do while [[ $# > 0 ]]; do
replacements["$1"]="$2"; replacements["$1"]="$2";
shift 2; shift 2;
+18
View File
@@ -0,0 +1,18 @@
#!/usr/bin/env bash
set -euo pipefail
/sync/scripts/escapeFilenames.sh . _
declare -a dirs=();
for d in *; do
dirs+=($d);
done
for d in "${dirs[@]}"; do
cd "$d";
/sync/scripts/escapeFilenames.sh Chapter Kapitel
/sync/scripts/reencode_m4a.sh -map;
rm *.m4a;
mv * "../${d}_reencode";
cd ..;
rmdir "$d"
mv "${d}_reencode" "$d";
done
+1 -1
View File
@@ -4,4 +4,4 @@ set -euo pipefail
source /sync/scripts/dockerContainerAction.sh source /sync/scripts/dockerContainerAction.sh
# FIXME!!! implement possibility to pass down directory # FIXME!!! implement possibility to pass down directory
upDownContainers pull upDownContainers pull $@
+3 -3
View File
@@ -6,15 +6,15 @@ map=
vbr= vbr=
while [[ $# > 0 ]]; do while [[ $# > 0 ]]; do
case $1 in case $1 in
-map) map='-map 0:0'; shift;; -map) map='-map 0:a'; shift;;
-vbr) vbr='aac_at -profile:a aac_he -b:a 64k'; shift;; -vbr) vbr='aac -profile:a aac_he -b:a 64k'; shift;;
* ) break ;; # Anything else stops command line processing. * ) break ;; # Anything else stops command line processing.
esac esac
done done
# if no variable bitrate, just copy audio # if no variable bitrate, just copy audio
if [[ -z $vbr ]]; then if [[ -z $vbr ]]; then
map="$map copy" vbr="copy"
fi fi
# ensure existence of destination folder # ensure existence of destination folder
+1 -1
View File
@@ -4,4 +4,4 @@ set -euo pipefail
source /sync/scripts/dockerContainerAction.sh source /sync/scripts/dockerContainerAction.sh
# FIXME!!! implement possibility to pass down directory # FIXME!!! implement possibility to pass down directory
upDownContainers up -d upDownContainers up -d $@